FOGCOORDSRC(3CgFX)

NAME
FogCoordSrc - 3D API fog coord src

USAGE
FogCoordSrc = int(src)

VALID ENUMERANTS
GL src: FragmentDepth, FogCoord D3D9 src: None, Exp, Exp2, Linear

DESCRIPTION
Specify whether to use fragment depth or a per-vertex fog coordinate in fog computations. See the GL_FOG_COORDINATE_SOURCE_EXT description in the OpenGL EXT_fog_coord specification for details. See the D3DRS_FOGVERTEXMODE render state description for DirectX 9.

The standard reset callback sets the FogCoordSrc state to int(FragmentDepth).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.4 or support for extension EXT_fog_coord.

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
FogColor, FogDensity, FogDistanceMode, FogEnable, FogEnd, FogMode, FogStart, FogTableMode, FogVertexMode, RangeFogEnable